Subject: Re: [PATCH] [IPV6] fixed the size of the netlink message notified by inet6_rt_notify().

From: David Miller <[email-masked]>
Date: Tue, 23 Jan 2007 22:14:43 -0800 (PST)

From: Patrick McHardy <[email-masked]>
Date: Wed, 17 Jan 2007 13:33:22 +0100

> Thomas Graf wrote:
> > * Noriaki TAKAMIYA <[email-masked]> 2007-01-16 14:01
> >>
> >>  I think the return value of rt6_nlmsg_size() should includes the
> >>  amount of RTA_METRICS.
> >>
> >>Signed-off-by: Noriaki TAKAMIYA <[email-masked]>
> > 
> > 
> > Acked-by: Thomas Graf <[email-masked]>
> 
> 
> Somewhat related: I have this patch for 2.6.21 to get rid of the
> BUG_ON()s.

I think this patch is a great idea, I'll stick this into my
net-2.6.21 tree when I open that up (perhaps this weekend).